*{
    box-sizing: border-box;
}

body{
    font-family: Arial, sans-serif;
    display: grid;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: 1fr;
    height: 100vh;
    margin: 0px;
}

header {
    background-color: #2a9d8f;
    color: white;
    space: 40px 0;
    text-align: center;
}

header i{
    font-size: 80px;
    margin: 0;
}

.header__student-name{
    font-size: 24px;
    margin: 0;
}

main{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
    padding: 20px;
    background-color: #f4f4f4;
}

.main__course {
    height: 170px;
    border-radius: 8px;
    text-align: center;
    padding: 20px;
    color: #fff;
    text-decoration: none;
    border: 1px solid #ddd;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    /* transition: transform 0.2s, boxshadow 0.2s; */
}

.left{background-color: #e9c46a;}
.middle{background-color: #f4a261;}
.right{background-color: #e76f51;}


.main__course:hover{
    transform: scale(2);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    zoom: 1%;
}

.main__course i{
    font-size: 64px;
    margin-bottom: 10px;
}

.main__course p{
    font-size: 20px;
    font-weight: bold;
}

footer{
    background-color: #2a9d8f;
    color: white;
    text-align: center;
    padding: 10px 0;
    font-size: 14px;
}